<p align="center">
  <img src="docs/logo.png"/>
  <br> English | <a href="README-CN.md">中文</a>
  <br>A distributed, scalable, lighting-fast graph database<br>
  <a href="https://github.com/vesoft-inc/nebula/actions?workflow=build">
    <img src="https://github.com/vesoft-inc/nebula/workflows/build/badge.svg" alt="build and test workflow"/>
  </a>
  <a href="https://github.com/vesoft-inc/nebula/actions?workflow=docker">
    <img src="https://github.com/vesoft-inc/nebula/workflows/docker/badge.svg" alt="build docker image workflow"/>
  </a>
  <a href="https://github.com/vesoft-inc/nebula/actions?workflow=package">
    <img src="https://github.com/vesoft-inc/nebula/workflows/package/badge.svg" alt="make nebula packages workflow"/>
  </a>
  <br>
</p>

<!-- <p align="center">
  <a href="https://mp.weixin.qq.com/mp/profile_ext?action=home&__biz=MzU2NDkxNjI0NQ==&scene=124#wechat_redirect"><img src="https://img.shields.io/badge/%E5%85%AC%E4%BC%97%E5%8F%B7-wechat-brightgreen" alt="WeiXin"></a>
  <a href="https://www.zhihu.com/org/nebulagraph/activities"><img src="https://img.shields.io/badge/%E7%9F%A5%E4%B9%8E-zhihu-blue" alt="Zhihu"></a>
    <a href="https://weibo.com/p/1006067122684542/home?from=page_100606&mod=TAB#place"><img src="https://img.shields.io/badge/%E5%BE%AE%E5%8D%9A-weibo-red" alt="Sina Weibo"></a>
</p> -->

# Nebula

**Nebula** is the only solution in the world capable of hosting graphs with dozens of billions of vertices (nodes) and trillions of edges, while still only having milliseconds of latency.

**Nebula's** goal is to provide reading, writing, and computing with high concurrency and low latency for super large scale graphs. Nebula is an open source project and we are looking forward to working with the community to popularize and promote the graph database.

As a graph database, **Nebula** has these features

* Symmetrically distributed
* Highly scalable
* Fault tolerant
* Strong data consistency
* SQL-like query language

## How can I get Nebula

Apart from [installing from source code](docs/manual-EN/3.build-develop-and-administration/1.build/1.build-source-code.md), you can use the [docker image](https://hub.docker.com/r/vesoft/nebula-graph) and [develop](https://hub.docker.com/u/vesoft).

## How to use Nebula

See [manual](docs/README.md) or download the [pdf](https://nebula-graph.oss-cn-hangzhou.aliyuncs.com/doc/nebulagraph.pdf).

## How can I contribute

As the team behind **Nebula**, we fully commit to the community and all-in to the open source project. All the core features are and will be implemented in the open source repository.

We also encourage the community to be involved in the project. There are a few ways you can contribute:

* You can download and try **Nebula**, and provide us feedbacks
* You can submit your feature requirements and bug reports
* You can improve documentation
* You can fix bugs or implement features. More details on how to build the project and submit the Pull Requests click [how-to-contribute](docs/manual-EN/4.contributions/how-to-contribute.md).

## Licensing

**Nebula** is under [Apache 2.0](https://www.apache.org/licenses/LICENSE-2.0) license, so you can freely download, modify, and deploy the source code to meet your needs. You can also freely deploy **Nebula** as a back-end service to support your SaaS deployment.

In order to prevent cloud providers monetizing from the project without contributing back, we added [Commons Clause 1.0](https://commonsclause.com/) to the project. As mentioned above, we fully commit to the open source community. We would love to hear your thoughts on the licensing model and are willing to make it more suitable for the community.

## Contact

- Please use [GitHub issue tracker](https://github.com/vesoft-inc/nebula/issues) for filling bugs or feature requests.
- Join [![](https://img.shields.io/badge/slack-nebula-519dd9.svg)](https://nebulagraph.slack.com/archives/DJQC9P0H5/p1557815158000200).
