# 图数据建模

此文档介绍 Nebula Graph 建模及图模型的基本概念。

## 图空间

**图空间** 为彼此隔离的图数据，与 MWSQL 中的数据库概念类似。

## 有向属性图

**Nebula Graph** 存储的图为 **_有向属性图_**，边为有向边，点和边均可包含属性。可表示为：
G = < V, E, P<sub>V</sub>, P<sub>E</sub> >,
其中 **V** 表示节点，**E** 表示有向边，**P<sub>V</sub>** 表示节点属性，**P<sub>E</sub>** 表示边属性。
此文档将使用如下示例图数据介绍属性图的基本概念：

![map300](https://user-images.githubusercontent.com/42762957/64932536-51b1f800-d872-11e9-9016-c2634b1eeed6.png)

上图为 NBA 球员及球队信息数据，图中包含 2 种类型的 11 个节点，即 player 和 team，2 种类型的边，即 serve 和 like。
以下为示例图数据涉及到的概念介绍。

## 节点

Vertices are typically used to represent entities in the real world. In the preceding example, the graph contains eleven vertices.
节点用于表示现实世界中的实体，本例的数据中共包含 11 个节点。

<img src="https://user-images.githubusercontent.com/42762957/64932628-00eecf00-d873-11e9-844b-6b2a535ca734.png" width="10%" height="20%">

## 标签

 **Nebula Graph** 使用 **标签** 对节点进行分类，本例包含的节点标签为 **player** 和 **team**。
<img src="https://user-images.githubusercontent.com/42762957/64932330-bff5bb00-d870-11e9-9940-4ff76ceca353.png" width="35%" height="20%">

## 边

边用来连接节点，边通常表示两个节点间的某种关系或行为，本例中的边为 _**serve**_ 和 _**like**_。
<img src="https://user-images.githubusercontent.com/42762957/64932285-68efe600-d870-11e9-8dc7-051f7b43c4aa.png" width="35%" height="20%">

## 边类型

每条边都有一种边类型，以边 _**serve**_ 为例，节点 `101`（表示一名球员）为起始点，节点 `215`（表示一支球队）为目标点。节点 `101` 有一条出边，而节点 `215` 有一条入边。

## 属性

属性为点和边内部的键值对。本例中，节点 **player** 拥有属性 `id`， `name` 和 `age`，边 _**like** 则拥有属性 `likeness`。

## Schema

在 **Nebula Graph** 中，schema 为标签及边对应的属性。与 `Mysql` 类似，Nebula Graph 是一种强 schema 的数据库，属性的名称和数据类型在数据写入前已确定。
