# 常见问题

## graphd 的配置没有注册到 meta server

   用 `nebula.service` 脚本启动服务时，`graphd`、 `metad` 和 `storaged` 进程启动速度太快，可能会导致 graphd 的配置没有注册到 meta server。restart 的时候也有此问题。
   beta 版本用户可以先启动 metad，再启动 storaged 和 graphd 来避免此问题。我们将在下一个版本解决此问题。

   先启动 metad：

   ```sh
   nebula> scripts/nebula.service start metad
   [INFO] Starting nebula-metad...
   [INFO] Done
   ```

   再启动 storaged 和 graphd：

   ```sh
   nebula> scripts/nebula.service start storaged
   [INFO] Starting nebula-storaged...
   [INFO] Done

   nebula> scripts/nebula.service start graphd
   [INFO] Starting nebula-graphd...
   [INFO] Done
   ```

## 当创建 tag 或者 edge 类型后，插入数据时报错

可能原因， `load_data_interval_secs` 设置了从 meta server 获取元数据时间间隔，生产场景 (默认值) 是120s，试用时可改为1s。更改方式:

- 启动前在nebula-metad.conf 和 nebula-graphd.conf 中加入

   ```sh
   --load_data_interval_secs=1
   ```

- console启动后，运行：

   ```SQL
   nebula> UPDATE VARIABLES graph:load_data_interval_secs=1
   ```

## 使用docker启动后，执行命令时报错

可能的原因是docker的IP地址和默认配置中的监听地址不一致(默认是172.17.0.2)，因此这里需要修改默认配置中的监听地址.

1. 首先在容器中执行 ifconfig 命令，查看您的容器地址，这里假设您的容器地址是172.17.0.3,那么就意味着您需要修改默认配置的IP地址.
2. 然后进入配置目录(cd /usr/local/nebula/etc), 查找所有IP地址配置的位置(grep "172.17.0.2" . -r).
3. 修改上一步查到的所有IP地址为您的容器地址(172.17.0.3).
4. 最后重新启动所有服务.
