# Overview of Nebula Graph

## What is Nebula Graph

**Nebula Graph** is an open source (Apache 2.0 licensed), distributed, scalable, lightning-fast graph database. It is the only solution in the world capable to host graphs with dozens of billions of vertices (nodes) and trillions of edges, while still provides millisecond latency.

**Nebula Graph's** goal is to provide reading, writing, and computing with high concurrency, low latency for super large scale graphs. Nebula Graph is an open source project and we are looking forward to working with the community to popularize and promote the graph database.

## Main features of Nebula Graph

This section describes some of the important characteristics of Nebula Graph.

- High performance

    Nebula Graph provides low latency read and write, while still maintaining high throughput.

- SQL-like

    Nebula Graph's SQL-like query language is easy to understand and powerful enough to meet complex business needs.

- Secure

    With role-based access control, Nebula Graph only allows authenticated access.

- Scalable

    With shared-nothing distributed architecture, Nebula Graph offers linear scalability.

- Extensible

    Nebula Graph supports multiple storage engine types. The query language can be extended to support new algorithms.

- Transactional

    With distributed ACID transaction support, Nebula Graph ensures data integrity.

- Highly available

    Nebula Graph guarantees high availability even in case of failures.
