# Building with Docker container

>**TODO(yee)** docker-compose

Nebula has provided a docker image with the whole compiling environment [vesoft/nebula-dev](https://hub.docker.com/r/vesoft/nebula-dev), which will make it possible to change source code locally, build and debug within the container. Performing the following steps to start quick development:

## Pull image from Docker Hub

```sh
bash> docker pull vesoft/nebula-dev
```

## Run docker container and mount your local source code directory into the container working_dir `/home/nebula`

```shell
bash> docker run --rm -ti \
  --security-opt seccomp=unconfined \
  -v /path/to/nebula/:/home/nebula \
  vesoft/nebula-dev \
  bash
```

 Replace `/path/to/nebula/` with your **local nebula source code directory**.

## Compiling within the container

```shell
docker> mkdir _build && cd _build
docker> cmake ..
docker> make
docker> make install
```

## Run nebula service

Once the preceding installation is completed, you can run nebula service within the container, the default installation directory is `/usr/local/nebula`.

```shell
docker> cd /usr/local/nebula
```

Rename config files of nebula service 

```shell
docker> cp etc/nebula-graphd.conf.default etc/nebula-graphd.conf
docker> cp etc/nebula-metad.conf.default etc/nebula-metad.conf
docker> cp etc/nebula-storaged.conf.default etc/nebula-storaged.conf
```

Start service

```shell
docker> ./scripts/nebula.service start all
docker> ./bin/nebula -u user -p password --port 3699 --addr="127.0.0.1"
nebula> SHOW HOSTS;
```
